## scribus 1.6.1

=== CMakeLists.txt ===
##############################################################################################################
########## CMake Setup                                                                              ##########

#Set our CMake minimum version
#Require 2.8.9 for Qt5 and CMAKE_POSITION_INDEPENDENT_CODE property
#Require 3.1.0 for Qt 5.7 C++ 11 easy support
#Require 3.2.0 for add_custom_target with byproducts
#Require 3.12 for new Find Python modules
#Require 3.14 for new Fontconfig module

cmake_minimum_required(VERSION 3.14.0 FATAL_ERROR)
cmake_policy(SET CMP0048 NEW)
message(STATUS "CMake Version: ${CMAKE_VERSION}")
if (WANT_PCH)
	if(${CMAKE_VERSION} VERSION_LESS "3.16.0")
		message(STATUS "Precompiled headers requested however CMake version < 3.16.0")
		set(WANT_PCH OFF)
	else()
		message(STATUS "Precompiled headers enabled")
	endif()
else()
	set(WANT_PCH OFF)
	message(STATUS "Precompiled headers disabled")
endif()

#Set our version values
#Final version is ${VERSION} = ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}.${VERSION_SUFFIX}
#where VERSION_SUFFIX is of the form "", "svn" or "Nsvn" (N being the minor patch level)
set (VERSION_MAJOR "1")
set (VERSION_MINOR "6")
set (VERSION_PATCH "1")
set (VERSION_SUFFIX "")
set (VERSION ${VERSION_MAJOR})
if (VERSION_MINOR GREATER -1)
	set (VERSION ${VERSION}.${VERSION_MINOR})
endif()
if (VERSION_PATCH GREATER -1)
	set (VERSION ${VERSION}.${VERSION_PATCH})
endif()

#Project Setup
#Do this now, prior to adding the suffix for SVN
project(scribus VERSION ${VERSION}) # LANGUAGES CXX C)
if (VERSION_SUFFIX)
	set (VERSION ${VERSION}.${VERSION_SUFFIX})
endif()
message(STATUS "Scribus ${VERSION} will be built and installed into ${CMAKE_INSTALL_PREFIX}")

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)


# Configure CCache if available and wanted
if (WANT_CCACHE)
	find_program(CCACHE_FOUND ccache)
	if(CCACHE_FOUND)
		message(STATUS "Enabling ccache")
		set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
		set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
	endif()
endif()

#Pretty colors
set(CMAKE_COLOR_MAKEFILE ON)
#Don't force verbose
set(CMAKE_VERBOSE_MAKEFILE OFF)
#Include current dir
set(CMAKE_INCLUDE_CURRENT_DIR ON)
#Don't allow in source builds
#set(CMAKE_DISABLE_SOURCE_CHANGES ON)
#set(CMAKE_DISABLE_IN_SOURCE_BUILD ON)


#RPATH setup - more below too
if (WANT_NORPATH OR WANT_DISTROBUILD)
	set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
else()
	set(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
endif()
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
set(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
set(CMAKE_SKIP_BUILD_RPATH TRUE)

include(CheckIncludeFile)
include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
include(CheckTypeSize)
include(TestBigEndian)
include(GNUInstallDirs)
#include(FeatureSummary)

#enable_testing()

#Set the custom CMake module directory where our include/lib finders are
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

##############################################################################################################
########## toplevel compiler flags                                                                  ##########
message(STATUS "Shared Library Flags: ${CMAKE_SHARED_LIBRARY_C_FLAGS}")




#Set the permissions to be used when installing plugins
set(PLUGIN_PERMISSIONS WORLD_EXECUTE GROUP_EXECUTE OWNER_EXECUTE WORLD_READ GROUP_READ OWNER_READ OWNER_WRITE)

#Our main directory is scribus
set(MAIN_DIR_NAME "scribus")

##############################################################################################################
########## check for the CPU we build for                                                           ##########

execute_process(
	COMMAND ${CMAKE_C_COMPILER} -dumpmachine
	OUTPUT_VARIABLE MACHINE
	OUTPUT_STRIP_TRAILING_WHITESPACE
)

## Find out what machine/cpu we are running on
message(STATUS  "Machine: ${MACHINE}, void pointer size: ${CMAKE_SIZEOF_VOID_P}")
string(REGEX MATCH "(i[0-9]86-*)|(athlon-*)|(pentium-*)" _machine_x86 "${MACHINE}")
if (_machine_x86)
	message(STATUS "Found target X86")
	set(ARCH_X86 ON)
endif()

string(REGEX MATCH "(x86_64-*)|(X86_64-*)|(AMD64-*)|(amd64-*)" _machine_x86_64 "${MACHINE}")
if (_machine_x86_64)
	message(STATUS "Found target X86_64")
	set(ARCH_X86_64 ON)
endif()

string(REGEX MATCH "(sparc64-*)|(SPARC64-*)" _machine_sparc_64 "${MACHINE}")
if (_machine_sparc_64)
	message(STATUS "Found target SPARC 64")
	set(ARCH_SPARC_64 ON)
endif()

string(REGEX MATCH "(mips64-*)|(MIPS64-*)" _machine_mips_64 "${MACHINE}")
if (_machine_mips_64)
	message(STATUS "Found target MIPS 64")
	set(ARCH_MIPS_64 ON)
endif()

string(REGEX MATCH "(ppc-*)|(powerpc-*)" _machine_ppc "${MACHINE}")
if (_machine_ppc)
	message(STATUS "Found target PPC")
	set(ARCH_PPC ON)
endif()

string(REGEX MATCH "(ppc64-*)|(PPC64-*)|(powerpc64-*)" _machine_ppc_64 "${MACHINE}")
if (_machine_ppc_64)
	message(STATUS "Found target PPC64")
	set(ARCH_PPC_64 ON)
endif()

string(REGEX MATCH "(sparc-*)" _machine_sparc "${MACHINE}")
if (_machine_sparc)
	message(STATUS "Found target Sparc")
	set(ARCH_SPARC ON)
endif()

string(REGEX MATCH "(sparcv9-*)" _machine_sparcv9 "${MACHINE}")
if (_machine_sparcv9)
	message(STATUS "Found target Sparc v9")
	set(ARCH_SPARCV9 ON)
endif()

string(REGEX MATCH "(sparc64-*)" _machine_sparc64 "${MACHINE}")
if (_machine_sparc64)
	message(STATUS "Found target Sparc64")
	set(ARCH_SPARC64 ON)
	set(ARCH64BIT ON)
endif()

string(REGEX MATCH "(hppa+)" _machine_hppa "${MACHINE}")
if (_machine_hppa)
	message(STATUS "Found target Hppa")
	set(ARCH_HPPA ON)
endif()

string(REGEX MATCH "(arm+)" _machine_arm "${MACHINE}")
if (_machine_arm)
	message(STATUS "Found target arm")
	set(ARCH_ARM ON)
endif()

string(REGEX MATCH "(arm64+)" _machine_arm64 "${MACHINE}")
if (_machine_arm64)
	message(STATUS "Found target arm64")
	set(ARCH_ARM_64 ON)
endif()

# We need to pass -fPIC to lib2geom on amd64, mips, mipsel, and hppa. See:
# http://www.gentoo.org/proj/en/base/amd64/howtos/index.xml?part=1&chap=3 and
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=559133

set(CMAKE_POSITION_INDEPENDENT_CODE ON)

## Do our Apple OSX version setup
if (APPLE)
	if ((CMAKE_SIZEOF_VOID_P EQUAL 8) AND (ARCH_ARM_64))
		string(REGEX REPLACE ".*-darwin([0-9]+).*" "\\1" APPLE_OS_VERSION "${MACHINE}")
		if (APPLE_OS_VERSION EQUAL "23")
			message(STATUS "Found macOS Sonoma Target: Apple, 64 bit, X86")
			set(APPLE_14_00_X ON CACHE BOOL "Found macOS Sonoma Target: Apple, 64 bit, ARM")
		endif()
		if (APPLE_OS_VERSION EQUAL "22")
			message(STATUS "Found macOS Ventura Target: Apple, 64 bit, ARM")
			set(APPLE_13_00_X ON CACHE BOOL "Found macOS Ventura Target: Apple, 64 bit, ARM")
		endif()
		if (APPLE_OS_VERSION EQUAL "21")
			message(STATUS "Found macOS Monterey Target: Apple, 64 bit, ARM")
			set(APPLE_12_00_X ON CACHE BOOL "Found macOS Monterey Target: Apple, 64 bit, ARM")
		endif()
		if (APPLE_OS_VERSION EQUAL "20")
			message(STATUS "Found macOS Big Sur Target: Apple, 64 bit, ARM")
			set(APPLE_11_00_X ON CACHE BOOL "Found macOS Big Sur Target: Apple, 64 bit, ARM")
		endif()
	endif()
	if ((CMAKE_SIZEOF_VOID_P EQUAL 8) AND (ARCH_X86 OR ARCH_X86_64))
		string(REGEX REPLACE ".*-darwin([0-9]+).*" "\\1" APPLE_OS_VERSION "${MACHINE}")
		if (APPLE_OS_VERSION EQUAL "23")
			message(STATUS "Found macOS Sonoma Target: Apple, 64 bit, X86")
			set(APPLE_14_00_X ON CACHE BOOL "Found macOS Sonoma Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "22")
			message(STATUS "Found macOS Ventura Target: Apple, 64 bit, X86")
			set(APPLE_13_00_X ON CACHE BOOL "Found macOS Ventura Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "21")
			message(STATUS "Found macOS Monterey Target: Apple, 64 bit, X86")
			set(APPLE_12_00_X ON CACHE BOOL "Found macOS Monterey Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "20")
			message(STATUS "Found macOS Big Sur Target: Apple, 64 bit, X86")
			set(APPLE_11_00_X ON CACHE BOOL "Found macOS Big Sur Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "19")
			message(STATUS "Found macOS Catalina Target: Apple, 64 bit, X86")
			set(APPLE_10_15_X ON CACHE BOOL "Found macOS Catalina Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "18")
			message(STATUS "Found macOS Mojave Target: Apple, 64 bit, X86")
			set(APPLE_10_14_X ON CACHE BOOL "Found macOS Mojave Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "17")
			message(STATUS "Found macOS High Sierra Target: Apple, 64 bit, X86")
			set(APPLE_10_13_X ON CACHE BOOL "Found macOS High Sierra Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "16")
			message(STATUS "Found macOS Sierra Target: Apple, 64 bit, X86")
			set(APPLE_10_12_X ON CACHE BOOL "Found macOS Sierra Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "15")
			message(STATUS "Found OSX El Capitan Target: Apple, 64 bit, X86")
			set(APPLE_10_11_X ON CACHE BOOL "Found OSX El Capitan Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "14")
			message(STATUS "Found OSX Yosemite Target: Apple, 64 bit, X86")
			set(APPLE_10_10_X ON CACHE BOOL "Found OSX Yosemite Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "13")
			message(STATUS "Found OSX Mavericks Target: Apple, 64 bit, X86")
			set(APPLE_10_9_X ON CACHE BOOL "Found OSX Mavericks Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "12")
			message(STATUS "Found OSX Mountain Lion Target: Apple, 64 bit, X86")
			set(APPLE_10_8_X ON CACHE BOOL "Found OSX Mountain Lion Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "11")
			message(STATUS "Found OSX Lion Target: Apple, 64 bit, X86")
			set(APPLE_10_7_X ON CACHE BOOL "Found OSX Lion Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "10")
			message(STATUS "Found OSX Snow Leopard Target: Apple, 64 bit, X86")
			set(APPLE_10_6_X ON CACHE BOOL "Found OSX Snow Leopard Target: Apple, 64 bit, X86")
		endif()
		if (APPLE_OS_VERSION EQUAL "9")
			message(STATUS "Found OSX Leopard Target: Apple, 32 bit, X86")
			set(APPLE_10_5_X ON CACHE BOOL "Found OSX Leopard Target: Apple, 32 bit, X86")
		endif()
		unset(ARCH_X86)
	endif()
endif()


#convert any 64 bit build into generic 64 tag for below
if (ARCH_X86_64 OR ARCH_SPARC_64 OR ARCH_MIPS_64 OR ARCH_PPC_64 OR ARCH_ARM_64)
	set(ARCH64BIT ON)
endif()

message(STATUS "Building for target ${MACHINE}")

##############################################################################################################
########## Relocatability                                                                           ##########

if (APPLEBUNDLE OR WIN32)
	if (WANT_RELOCATABLE)
		message(STATUS "Ignoring relocatable option on Win32 or OSX when building bundle")
		set(WANT_RELOCATABLE OFF)
	endif()
endif()

if (WANT_RELOCATABLE)
	message(STATUS "Enabling relocatable binaries")
	set(WANT_RELOCATABLE ON CACHE BOOL "Enable relocatable binaries")
	add_definitions(-DWANT_RELOCATABLE)
endif()

##############################################################################################################
########## Versioning Setup                                                                         ##########

#On Apple, we ignore the versioning tag so all items are "scribus" not "scribus-version"
if (NOT BUILD_OSX_BUNDLE)
	set(BUILD_OSX_BUNDLE ${APPLE} CACHE BOOL "Building MacOS X Bundle")
endif()

#Simplify future conditionals for Apple
if (APPLE AND BUILD_OSX_BUNDLE)
	set(APPLEBUNDLE ON CACHE BOOL "Building Apple Bundle")
endif()

#Announce we cached a version request before, overridden below for OSX
if(TAG_VERSION)
	if (NOT APPLEBUNDLE)
		message(STATUS "Previously selected version tag: ${TAG_VERSION}")
	endif()
	set(WANT_VERSIONING ON)
	set(CACHED_VERSIONING ON)
endif()

#Remove version tags on OSX so our bundle is Scribus.app
if (APPLEBUNDLE OR WIN32)
	if (WANT_VERSIONING OR CACHED_VERSIONING)

=== OSX-package/Makefile ===
# currently a handpicked list of libraries Scribus depends on
DEPLIBRARIES=zlib.pkg jpeg.pkg tiff.pkg lcms.pkg freetype.pkg cairo.pkg
# these wil be optional packages later
ADDITIONAL=ghostscript.mpkg antiword.pkg aspell.pkg
# this MUST be the installed path of the Scribus.app bundle
SCRIBUSAPP=/usr/local/Applications/Scribus135.app
# How to name the package
PKGNAME=Scribus-135

# no need to change those:
DISTDIR=dist
INPUTDIR=inputs
INFOFILE=${INPUTDIR}/Info.plist
SCRIBUSINFOFILE=${INPUTDIR}/Scribus.pkg-Info.plist
SCRIBUSPKG=${INPUTDIR}/ScribusPkg
DESCFILE=${INPUTDIR}/Description.plist
RESOURCES=${INPUTDIR}/Resources

all: ${DEPLIBRARIES} Scribus.pkg
	@echo Packaging ${PKGNAME} with ${DEPLIBRARIES}
	@/Developer/Tools/packagemaker -build -p ${DISTDIR}/${PKGNAME}.mpkg -mi ${DISTDIR}/packages -i ${INFOFILE} -r ${RESOURCES} 

tmpdirs:
	mkdir -p ${DISTDIR}/packages

%.pkg: tmpdirs
	port -f -k pkg $*
	@cp -Rpn /opt/local/var/macports/build/*$**/work/*.pkg ${DISTDIR}/packages/

cairo.pkg: fontconfig.pkg expat.pkg libiconv.pkg libpng.pkg
	port -f -k pkg cairo +no-x11
	@cp -Rpn /opt/local/var/macports/build/*cairo*/work/*.pkg ${DISTDIR}/packages/

%.mpkg: tmpdirs
	#port -f -k upgrade $*
	port -f -k -v mpkg $*
	@cp -Rpn /opt/local/var/macports/build/*$**/work/*.mpkg ${DISTDIR}/packages/

Scribus.pkg: tmpdirs
	@mkdir -p ${SCRIBUSPKG}/Applications
	@(cd ${SCRIBUSPKG}/Applications; mv ${SCRIBUSAPP} .)
	/Developer/Tools/packagemaker -build -p ${DISTDIR}/packages/Scribus.pkg -f ${SCRIBUSPKG} -i ${SCRIBUSINFOFILE} 
	@(cd ${SCRIBUSPKG}/Applications ; mv Scribus*.app ${SCRIBUSAPP})



clean:
	rm -rf ${DISTDIR}/packages/*

=== scribus/CMakeLists.txt ===
#For those that want it, show the SVN version in the About dialog
if (WANT_SVNVERSION)
	add_definitions(-DHAVE_SVNVERSION)
	message(STATUS "SVN Version requested in About dialog")
	# a custom target that is always built

	if (NOT CMAKE_VERSION VERSION_LESS "3.2.0")
		add_custom_target(svnheader ALL COMMAND ${CMAKE_COMMAND} -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -P ${CMAKE_MODULE_PATH}/getsvn.cmake BYPRODUCTS ${CMAKE_CURRENT_BINARY_DIR}/svnversion.h)
	else ()
		add_custom_target(svnheader ALL DEPENDS svn_header ) # svn_header is nothing more than a unique string
		# creates svnheader.h using cmake script
		add_custom_command(OUTPUT svn_header ${CMAKE_CURRENT_BINARY_DIR}/svnversion.h
		COMMAND ${CMAKE_COMMAND} -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -P ${CMAKE_MODULE_PATH}/getsvn.cmake)
		set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/svnversion.h
			PROPERTIES GENERATED TRUE
			HEADER_FILE_ONLY TRUE)
	endif ()
endif ()

if(WIN32)
	add_definitions(-DQT_DLL)
endif()


include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${FREETYPE_INCLUDE_DIRS}
	${HARFBUZZ_INCLUDE_DIRS}
	${HARFBUZZ_SUBSET_INCLUDE_DIRS}
)

include(api/CMakeLists.txt)
include(colormgmt/CMakeLists.txt)
include(desaxe/CMakeLists.txt)
include(fonts/CMakeLists.txt)
include(styles/CMakeLists.txt)
include(text/CMakeLists.txt)

add_subdirectory(dtd)
add_subdirectory(ui/qml)
if(WITH_TESTS)
	add_subdirectory(tests)
endif()
if (WANT_DESIGNER)
	add_subdirectory(designer)
endif ()
add_subdirectory(third_party)

if(HAVE_OSG)
	set(SCRIBUS_OSG_CLASS
		ui/AdapterWidget.h
		ui/osgeditor.h
		pageitem_osgframe.h
	)
	set(SCRIBUS_OSG_SRC
		ui/AdapterWidget.cpp
		ui/osgeditor.cpp
		pageitem_osgframe.cpp
	)
endif ()

if (GMAGICK_FOUND)
	set(SCRIBUS_GMAGICK_SRC imagedataloaders/scimgdataloader_gmagick.cpp)
else()
	set(SCRIBUS_GMAGICK_SRC)
endif()

set(SCRIBUS_SOURCES
	actionmanager.cpp
	actionsearch.cpp
	appmodehelper.cpp
	canvas.cpp
	canvasgesture_cellselect.cpp
	canvasgesture_columnresize.cpp
	canvasgesture_linemove.cpp
	canvasgesture_pan.cpp
	canvasgesture_rectselect.cpp
	canvasgesture_resize.cpp
	canvasgesture_rowresize.cpp
	canvasgesture_rulermove.cpp
	canvasgesture_table.cpp
	canvasgesture_tableresize.cpp
	canvasmode.cpp
	canvasmode_copyproperties.cpp
	canvasmode_create.cpp
	canvasmode_drawbezier.cpp
	canvasmode_drawcalligraphic.cpp
	canvasmode_drawfreehand.cpp
	canvasmode_eyedropper.cpp
	canvasmode_framelinks.cpp
	canvasmode_imageimport.cpp
	canvasmode_edit.cpp
	canvasmode_editarc.cpp
	canvasmode_editgradient.cpp
	canvasmode_editmeshgradient.cpp
	canvasmode_editmeshpatch.cpp
	canvasmode_editpolygon.cpp
	canvasmode_editspiral.cpp
	canvasmode_edittable.cpp
	canvasmode_editweldpoint.cpp
	canvasmode_magnifier.cpp
	canvasmode_measurements.cpp
	canvasmode_nodeedit.cpp
	canvasmode_normal.cpp
	canvasmode_objimport.cpp
	canvasmode_panning.cpp
	canvasmode_rotate.cpp
	cellarea.cpp
	chartablemodel.cpp
	chartableview.cpp
	cmserrorhandling.cpp
	cmsettings.cpp
	collapsedtablepainter.cpp
	collapsedtablepainterex.cpp
	collect4output.cpp
	colorblind.cpp
	colorsetmanager.cpp
	commonstrings.cpp
	deferredtask.cpp
	documentchecker.cpp
	documentinformation.cpp
	exif.cpp
	fileloader.cpp
	filesearch.cpp
	filewatcher.cpp
	fontlistmodel.cpp
	fpoint.cpp
	fpointarray.cpp
	gtaction.cpp
	gtfont.cpp
	gtframestyle.cpp
	gtgettext.cpp
	gtmeasure.cpp
	gtparagraphstyle.cpp
	gtstyle.cpp
	gtwriter.cpp
	guidemanagercore.cpp
	guidesdelegate.cpp
	guidesmodel.cpp
	guidesview.cpp
	hyphenator.cpp
	iconmanager.cpp
	ioapi.c
	KarbonCurveFit.cpp
	langdef.cpp
	langmgr.cpp
	latexhelpers.cpp
	loadsaveplugin.cpp
	localemgr.cpp
	marks.cpp
	menumanager.cpp
	mesh.cpp
	navigator.cpp
	numeration.cpp
	observable.cpp
	nftrcreader.cpp
	nftsettings.cpp
	nfttemplate.cpp
	nodeeditcontext.cpp
	notesstyles.cpp
	pageitem.cpp
	pageitem_arc.cpp
	pageitem_group.cpp
	pageitem_imageframe.cpp
	pageitem_latexframe.cpp
	pageitem_line.cpp
	pageitem_pathtext.cpp
	pageitem_polygon.cpp
	pageitem_polyline.cpp
	pageitem_regularpolygon.cpp
	pageitem_spiral.cpp
	pageitem_symbol.cpp
	pageitem_table.cpp
	pageitem_textframe.cpp
	pageitem_noteframe.cpp
	pageitemiterator.cpp
	pageitempointer.cpp
	pagesize.cpp
	pdf_analyzer.cpp
	pdflib.cpp
	pdflib_core.cpp
	pdfoptions.cpp
	pdfoptionsio.cpp
	pdfversion.cpp
	pdfwriter.cpp
	pluginmanager.cpp
	pp_proxy.cpp
	prefscontext.cpp
	prefsfile.cpp
	prefsmanager.cpp
	prefsreader.cpp
	prefstable.cpp
	printpreviewcreator.cpp
	printpreviewcreator_pdf.cpp
	printpreviewcreator_ps.cpp
	printpreviewcreatorfactory.cpp
	pslib.cpp
	qtiocompressor.cpp
	rawimage.cpp
	rc4.c
	sampleitem.cpp
	scclocale.cpp
	sccolor.cpp
	sccolorengine.cpp
	sccolorshade.cpp
	sccolorstructs.cpp
	scdocoutput.cpp
	scdocoutput_ps2.cpp
	scdomelement.cpp
	scfonts.cpp
	scgtplugin.cpp
	schelptreemodel.cpp
	scimage.cpp
	scimagecacheproxy.cpp
	scimagecachedir.cpp
	scimagecachefile.cpp
	scimagecachemanager.cpp
	scimagecachewriteaction.cpp
	scimagestructs.cpp
	sclayer.cpp
	sclockedfile.cpp
	scmimedata.cpp
	scpage.cpp
	scpageoutput.cpp
	scpageoutput_ps2.cpp
	scpainter.cpp
	scpainterex_ps2.cpp
	scpainterexbase.cpp
	scpaths.cpp
	scpattern.cpp
	scplugin.cpp
	scpreview.cpp
	scprintengine.cpp
	scprintengine_pdf.cpp
	scprintengine_ps.cpp
	scraction.cpp
	scribus.cpp
	scribusXml.cpp
	scribusapp.cpp
	scribuscore.cpp
	scribusdoc.cpp
	scribusview.cpp
	scribuswin.cpp
	scslainforeader.cpp
	scstreamfilter.cpp
	scstreamfilter_ascii85.cpp
	scstreamfilter_flate.cpp
	scstreamfilter_jpeg.cpp
	scstreamfilter_rc4.cpp
	sctextstream.cpp
	sctextstruct.cpp
	scxmlstreamreader.cpp
	selection.cpp
	selectionrubberband.cpp
	serializer.cpp
	storyloader.cpp
	styleitem.cpp
	tableborder.cpp
	tablecell.cpp
	tableutils.cpp
	textnote.cpp
	textwriter.cpp
	tocgenerator.cpp
	transaction.cpp
	undogui.cpp
	undomanager.cpp
	undoobject.cpp
	undostack.cpp
	undostate.cpp
	undotransaction.cpp
	units.cpp
	updatemanager.cpp
	upgradechecker.cpp
	urllauncher.cpp
	util.cpp
	util_color.cpp
	util_debug.cpp
	util_file.cpp
	util_formats.cpp
	util_ghostscript.cpp
	util_layer.cpp
	util_math.cpp
	util_os.cpp
	util_printer.cpp
	util_text.cpp
	vgradient.cpp
	vgradientex.cpp
	downloadmanager/scdlmgr.cpp
	downloadmanager/scdlthread.cpp
	imagedataloaders/scimgdataloader.cpp
	imagedataloaders/scimgdataloader_gimp.cpp
	imagedataloaders/scimgdataloader_jpeg.cpp
	imagedataloaders/scimgdataloader_kra.cpp
	imagedataloaders/scimgdataloader_ora.cpp
	imagedataloaders/scimgdataloader_pdf.cpp
	imagedataloaders/scimgdataloader_pgf.cpp
	imagedataloaders/scimgdataloader_pict.cpp
	imagedataloaders/scimgdataloader_png.cpp
	imagedataloaders/scimgdataloader_ps.cpp
	imagedataloaders/scimgdataloader_psd.cpp
	imagedataloaders/scimgdataloader_qt.cpp
	imagedataloaders/scimgdataloader_tiff.cpp
	imagedataloaders/scimgdataloader_wpg.cpp
	palettes/cxfcolor.cpp
	palettes/cxfcolorspecification.cpp
	palettes/cxfdocument.cpp
	palettes/cxfobject.cpp
	palettes/cxfmeasurementspec.cpp
	palettes/cxftristimulusspec.cpp
	palettes/cxfutils.cpp
	palettes/paletteloader.cpp
	palettes/paletteloader_adobe_acb.cpp
	palettes/paletteloader_adobe_aco.cpp
	palettes/paletteloader_adobe_ase.cpp
	palettes/paletteloader_autocad_acb.cpp
	palettes/paletteloader_cxf.cpp
	palettes/paletteloader_ps.cpp
	palettes/paletteloader_sk1.cpp
	palettes/paletteloader_swatchbook.cpp
	third_party/fparser/fpoptimizer.cc
	third_party/fparser/fparser.cc
	ui/about.cpp
	ui/aboutplugins.cpp
	ui/actionsearchdialog.cpp
	ui/aligndistribute.cpp
	ui/alignselect.cpp
	ui/directionselect.cpp
	ui/annot.cpp
	ui/annota.cpp
	ui/applytemplatedialog.cpp
	ui/arcwidget.cpp
	ui/arcvectordialog.cpp
	ui/arrowchooser.cpp
	ui/autoform.cpp
	ui/autoformbuttongroup.cpp
	ui/basepointwidget.cpp
	ui/bookmarkpalette.cpp
	ui/bookmwin.cpp
	ui/buttonicon.cpp
	ui/charselect.cpp
	ui/charselectenhanced.cpp
	ui/charzoom.cpp
	ui/checkDocument.cpp
	ui/clockwidget.cpp
	ui/cmykfw.cpp
	ui/collectforoutput_ui.cpp
	ui/colorchart.cpp
	ui/colorcombo.cpp
	ui/colorlistbox.cpp
	ui/colorlistmodel.cpp
	ui/colorpalette.cpp
	ui/colorsandfills.cpp
	ui/contentpalette.cpp
	ui/contentpalette_default.cpp
	ui/contentpalette_page.cpp
	ui/contextmenu.cpp
	ui/cupsoptions.cpp
	ui/curvewidget.cpp
	ui/customfdialog.cpp
	ui/cxfimportdialog.cpp
	ui/dasheditor.cpp
	ui/dcolor.cpp
	ui/delpages.cpp
	ui/downloadspalette.cpp
	ui/editor.cpp
	ui/effectsdialog.cpp
	ui/extimageprops.cpp
	ui/filedialogeventcatcher.cpp
	ui/fontcombo.cpp
	ui/fontembeddingcombo.cpp
	ui/fontembeddingmodel.cpp
	ui/fontlistview.cpp
	ui/fontreplacedialog.cpp
	ui/gradientaddedit.cpp
	ui/gradienteditor.cpp
	ui/gradientvectordialog.cpp
	ui/gradientpreview.cpp
	ui/gtdialogs.cpp
	ui/gtfiledialog.cpp
	ui/guidemanager.cpp
	ui/helpbrowser.cpp
	ui/hruler.cpp
	ui/hyask.cpp
	ui/imageinfodialog.cpp
	ui/inlinepalette.cpp
	ui/insertTable.cpp
	ui/insertaframe.cpp
	ui/inserttablecolumnsdialog.cpp
	ui/inserttablerowsdialog.cpp
	ui/inspage.cpp
	ui/javadocs.cpp
	ui/latexeditor.cpp
	ui/layers.cpp
	ui/linecombo.cpp
	ui/linkbutton.cpp
	ui/loremipsum.cpp
	ui/mark2item.cpp
	ui/mark2mark.cpp
	ui/markanchor.cpp
	ui/markinsert.cpp
	ui/marknote.cpp
	ui/marksmanager.cpp
	ui/markvariabletext.cpp
	ui/marginpresetlayout.cpp
	ui/marginwidget.cpp
	ui/newmarginwidget.cpp
	ui/mergedoc.cpp
	ui/missing.cpp
	ui/movepage.cpp
	ui/multipleduplicate.cpp
	ui/multiprogressdialog.cpp
	ui/measurements.cpp
	ui/newdocdialog.cpp
	ui/newtemp.cpp
	ui/nftdialog.cpp
	ui/nftwidget.cpp
	ui/nodeeditpalette.cpp
	ui/notesstyleseditor.cpp
	ui/numformatcombo.cpp
	ui/outlinepalette.cpp
	ui/outputpreview_pdf.cpp
	ui/outputpreview_ps.cpp
	ui/outputpreviewbase.cpp
	ui/pageitemattributes.cpp
	ui/pagelayout.cpp
	ui/pagepalette.cpp
	ui/pagepalette_pages.cpp
	ui/pagepalette_masterpages.cpp
	ui/pagepalette_widgets.cpp
	ui/pagepropertiesdialog.cpp
	ui/pageselector.cpp
	ui/patternpropsdialog.cpp
	ui/pdfexportdialog.cpp
	ui/pdfversioncombo.cpp
	ui/pdfversionmodel.cpp
	ui/picsearch.cpp
	ui/picsearchoptions.cpp
	ui/picstatus.cpp
	ui/polygonwidget.cpp
	ui/polyprops.cpp
	ui/preferencesdialog.cpp
	ui/prefs_colormanagement.cpp
	ui/prefs_display.cpp
	ui/prefs_documentinformation.cpp
	ui/prefs_documentsections.cpp
	ui/prefs_documentsetup.cpp
	ui/prefs_experimental.cpp
	ui/prefs_externaltools.cpp
	ui/prefs_fonts.cpp
	ui/prefs_guides.cpp
	ui/prefs_hyphenator.cpp
	ui/prefs_imagecache.cpp
	ui/prefs_keyboardshortcuts.cpp
	ui/prefs_miscellaneous.cpp
	ui/prefs_pagesizes.cpp
	ui/prefs_pane.cpp
	ui/prefs_paths.cpp
	ui/prefs_plugins.cpp
	ui/prefs_preflightverifier.cpp
	ui/prefs_printer.cpp
	ui/prefs_scrapbook.cpp
	ui/prefs_spelling.cpp
	ui/prefs_typography.cpp
	ui/prefs_userinterface.cpp
	ui/prefs_itemtools.cpp
	ui/prefs_operatortools.cpp
	ui/prefs_pdfexport.cpp
	ui/prefs_tableofcontents.cpp
	ui/prefs_documentitemattributes.cpp
	ui/printdialog.cpp
	ui/printlanguagecombo.cpp
	ui/printpreview.cpp
	ui/propertiespalette.cpp
	ui/propertiespalette_image.cpp
	ui/propertiespalette_group.cpp
	ui/propertiespalette_line.cpp
	ui/propertiespalette_shadow.cpp
	ui/propertiespalette_shape.cpp
	ui/propertiespalette_table.cpp
	ui/propertiespalette_text.cpp
	ui/propertiespalette_utils.cpp
	ui/propertiespalette_xyz.cpp
	ui/propertywidget_advanced.cpp
	ui/propertywidget_distance.cpp
	ui/propertywidget_pareffect.cpp
	ui/propertywidget_flop.cpp
	ui/propertywidget_hyphenation.cpp
	ui/propertywidget_optmargins.cpp
	ui/propertywidget_orphans.cpp
	ui/propertywidget_pathtext.cpp
	ui/propertywidget_textcolor.cpp
	ui/propertywidget_fontfeatures.cpp
	ui/propertywidgetbase.cpp
	ui/proptree.cpp
	ui/query.cpp
	ui/recoverdialog.cpp
	ui/replacecolors.cpp
	ui/replaceonecolor.cpp
	ui/resourcemanager.cpp
	ui/resourcemanagerlicense.cpp
	ui/rulermover.cpp
	ui/sccolorslider.cpp
	ui/scdialog.cpp
	ui/scdockpalette.cpp
	ui/scescapecatcher.cpp
	ui/scfilewidget.cpp
	ui/sclistwidgetdelegate.cpp
	ui/scmenu.cpp
	ui/scmessagebox.cpp
	ui/scmwmenumanager.cpp
	ui/scrapbookpalette.cpp
	ui/scresizecursor.cpp
	ui/scrpalettebase.cpp
	ui/scrspinbox.cpp
	ui/sctablewidget.cpp
	ui/sctextbrowser.cpp
	ui/sctoolbar.cpp
	ui/sctreewidget.cpp

=== doc/de/CMakeLists.txt ===
add_subdirectory(images)

#Install our html files
file( GLOB SCRIBUS_DOC_DE_FILES *.html *.xml )
install(FILES ${SCRIBUS_DOC_DE_FILES} DESTINATION ${DOCDIR}de)

=== doc/it/CMakeLists.txt ===
include_directories(
"${CMAKE_SOURCE_DIR}/scribus"
)

add_subdirectory(images)

#Install our html files
file( GLOB SCRIBUS_DOC_IT_FILES *.html *.xml )
install(FILES ${SCRIBUS_DOC_IT_FILES} DESTINATION ${DOCDIR}it)

=== resources/keysets/CMakeLists.txt ===
include_directories(
"${CMAKE_SOURCE_DIR}/scribus"
)

install(FILES
icalamus.xml
pageplusx3.xml
pagestream.xml
scribus15.xml
  DESTINATION ${SHAREDIR}keysets
)

=== resources/templates/CMakeLists.txt ===
include_directories(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

# Gentoo has an option for no templates. Let's make the ebuild simpler and open up the option to others, but leave as a default for us. Make the directory in any case as our source will look for it.
if (WANT_NOTEMPLATES)
  install(CODE "file(MAKE_DIRECTORY ${ENV}${CMAKE_INSTALL_PREFIX}/${TEMPLATEDIR})")
else (WANT_NOTEMPLATES)

install(FILES
template.xml
template.ca.xml
template.de.xml
template.es.xml
template.hu.xml
template.it.xml
  DESTINATION ${TEMPLATEDIR}
)

install(FILES
br1/br1.png
br1/br1tn.png
br1/map.jpg
br1/br1.sla.gz
  DESTINATION ${TEMPLATEDIR}br1
)

install(FILES
nl1/kites.jpg
nl1/nl1.png
nl1/nl1tn.png
nl1/nl1.sla.gz
  DESTINATION ${TEMPLATEDIR}nl1
)

install(FILES
nl2/flowers.jpg
nl2/nl2.png
nl2/nl2tn.png
nl2/nl2.sla.gz
  DESTINATION ${TEMPLATEDIR}nl2
)

install(FILES
textbased/an_image.jpg
textbased/author.jpg
textbased/textbased.png
textbased/textbased.sla.gz
textbased/textbasedtn.png
  DESTINATION ${TEMPLATEDIR}textbased
)

install(FILES
pres_backgr_1/blue_orange_vector.sla.gz
pres_backgr_1/blue_orange_vectortn.png
pres_backgr_1/blue_orange_vector.png
  DESTINATION ${TEMPLATEDIR}pres_backgr_1
)

install(FILES
pres_backgr_2/flood_light.sla.gz
pres_backgr_2/flood_lighttn.png
pres_backgr_2/flood_light.png
  DESTINATION ${TEMPLATEDIR}pres_backgr_2
)

install(FILES
pres_backgr_3/glass_ripples.sla.gz
pres_backgr_3/glass_ripplestn.png
pres_backgr_3/glass_ripples.png
  DESTINATION ${TEMPLATEDIR}pres_backgr_3
)

install(FILES
pres_backgr_4/bokeh.sla.gz
pres_backgr_4/Bokehtn.png
pres_backgr_4/Bokeh.png
  DESTINATION ${TEMPLATEDIR}pres_backgr_4
)

install(FILES
cc/Cheat_Cube.png
cc/Cheat_Cubetn.png
cc/Cheat_Cube.sla.gz
  DESTINATION ${TEMPLATEDIR}cc
)

install(FILES
mc/menu_template1.png
mc/menu_template1tn.png
mc/menu_template1.sla.gz
  DESTINATION ${TEMPLATEDIR}mc
)

install(FILES
cover1/cover1.png
cover1/cover1tn.png
cover1/cover1.sla.gz
  DESTINATION ${TEMPLATEDIR}cover1
)

install(FILES
cover2/cover2.png
cover2/cover2tn.png
cover2/cover2.sla.gz
  DESTINATION ${TEMPLATEDIR}cover2
)

install(FILES
cover3/cover3.png
cover3/cover3tn.png
cover3/cover3.sla.gz
  DESTINATION ${TEMPLATEDIR}cover3
)

install(FILES
cover4/cover4.png
cover4/cover4tn.png
cover4/cover4.sla.gz
  DESTINATION ${TEMPLATEDIR}cover4
)

install(FILES
cover5/cover5.png
cover5/cover5tn.png
cover5/cover5.sla.gz
  DESTINATION ${TEMPLATEDIR}cover5
)

install(FILES
buscard1/Business_Card_1.png
buscard1/Business_Card_1tn.png
buscard1/buscard1.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard1
)

install(FILES
buscard2/Business_Card_2.png
buscard2/Business_Card_2tn.png
buscard2/buscard2.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard2
)

install(FILES
buscard3/Business_Card_3.png
buscard3/Business_Card_3tn.png
buscard3/buscard3.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard3
)

install(FILES
buscard4/Business_Card_4.png
buscard4/Business_Card_4tn.png
buscard4/buscard4.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard4
)

install(FILES
buscard5/Business_Card_5.png
buscard5/Business_Card_5tn.png
buscard5/buscard5.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard5
)

install(FILES
buscard6/Business_Card_6.png
buscard6/Business_Card_6tn.png
buscard6/buscard6.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard6
)

install(FILES
buscard7/Business_Card_7.png
buscard7/Business_Card_7tn.png
buscard7/buscard7.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard7
)

install(FILES
buscard8/Business_Card_8.png
buscard8/Business_Card_8tn.png
buscard8/buscard8.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard8
)

install(FILES
buscard9/Business_Card_9.png
buscard9/Business_Card_9tn.png
buscard9/buscard9.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard9
)

install(FILES
buscard10/Business_Card_10.png
buscard10/Business_Card_10tn.png
buscard10/buscard10.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard10
)

install(FILES
buscard11/Business_Card_11.png
buscard11/Business_Card_11tn.png
buscard11/buscard11.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard11
)

install(FILES
grid_br_a4_l/Brochure_Grid_A4_L.sla.gz
grid_br_a4_l/Brochure_Grid_A4_Ltn.png
grid_br_a4_l/Brochure_Grid_A4_L.png
  DESTINATION ${TEMPLATEDIR}grid_br_a4_l
)

install(FILES
grid_br_a4_p/Brochure_Grid_A4_P.sla.gz
grid_br_a4_p/Brochure_Grid_A4_Ptn.png
grid_br_a4_p/Brochure_Grid_A4_P.png
  DESTINATION ${TEMPLATEDIR}grid_br_a4_p
)

install(FILES
grid_br_975x85in_l/Brochure_Grid_975x85in_L.sla.gz
grid_br_975x85in_l/Brochure_Grid_975x85_in_Ltn.png
grid_br_975x85in_l/Brochure_Grid_975x85_in_L.png
  DESTINATION ${TEMPLATEDIR}grid_br_975x85in_l
)

install(FILES
grid_br_975x85_p/Brochure_Grid_975x85in_P.sla.gz
grid_br_975x85_p/Brochure_Grid_975x85_in_Ptn.png
grid_br_975x85_p/Brochure_Grid_975x85_in_P.png
  DESTINATION ${TEMPLATEDIR}grid_br_975x85_p
)

install(FILES
grid_br_375x85_p/Brochure_Grid_375x85in_P.sla.gz
grid_br_375x85_p/Brochure_Grid_375x85_in_Ptn.png
grid_br_375x85_p/Brochure_Grid_375x85_in_P.png
  DESTINATION ${TEMPLATEDIR}grid_br_375x85_p
)

install(FILES
grid_br_375x85_l/Brochure_Grid_375x85in_L.sla.gz
grid_br_375x85_l/Brochure_Grid_375x85_in_Landscapetn.png
grid_br_375x85_l/Brochure_Grid_375x85_in_Landscape.png
  DESTINATION ${TEMPLATEDIR}grid_br_375x85_l
)

install(FILES
grid_br_100x210_p/Brochure_Grid_100x210_P.sla.gz
grid_br_100x210_p/Brochure_Grid_100x210_Ptn.png
grid_br_100x210_p/Brochure_Grid_100x210_P.png
  DESTINATION ${TEMPLATEDIR}grid_br_100x210_p
)

install(FILES
grid_br_100x210_l/Brochure_Grid_100x210_L.sla.gz
grid_br_100x210_l/Brochure_Grid_100x210_mm_Landscapetn.png
grid_br_100x210_l/Brochure_Grid_100x210_mm_Landscape.png
  DESTINATION ${TEMPLATEDIR}grid_br_100x210_l
)

install(FILES
grid_br_55x86in_p/Brochure_Grid_55x85in_P.sla.gz
grid_br_55x86in_p/Brochure_Grid_55x85in_Portraoittn.png
grid_br_55x86in_p/Brochure_Grid_55x85in_Portraoit.png
  DESTINATION ${TEMPLATEDIR}grid_br_55x86in_p
)

install(FILES
grid_br_55x85in_l/Brochure_Grid_55x85in_L.sla.gz
grid_br_55x85in_l/Brochure_Grid_55x85_in_Ltn.png
grid_br_55x85in_l/Brochure_Grid_55x85_in_L.png
  DESTINATION ${TEMPLATEDIR}grid_br_55x85in_l
)

install(FILES
grid_poster_a3/Poster_Grid_A3.sla.gz
grid_poster_a3/Poster_Grid_A3tn.png
grid_poster_a3/Poster_Grid_A3.png
  DESTINATION ${TEMPLATEDIR}grid_poster_a3
)

install(FILES
grid_poster_a2/Poster_Grid_A2.sla.gz
grid_poster_a2/Poster_Grid_A2tn.png
grid_poster_a2/Poster_Grid_A2.png
  DESTINATION ${TEMPLATEDIR}grid_poster_a2
)

install(FILES
grid_poster_a1/Poster_Grid_A1.sla.gz
grid_poster_a1/Poster_Grid_A1tn.png
grid_poster_a1/Poster_Grid_A1.png
  DESTINATION ${TEMPLATEDIR}grid_poster_a1
)

install(FILES
grid_poster_a0/Poster_Grid_A0.sla.gz
grid_poster_a0/Poster_Grid_A0tn.png
grid_poster_a0/Poster_Grid_A0.png
  DESTINATION ${TEMPLATEDIR}grid_poster_a0
)

install(FILES
grid_br_usl_p/Brochure_Grid_USL_P.sla.gz
grid_br_usl_p/Brochure_Grid_USL_Ptn.png
grid_br_usl_p/Brochure_Grid_USL_P.png
  DESTINATION ${TEMPLATEDIR}grid_poster_a0
)

install(FILES
grid_br_usl_l/Brochure_Grid_USL_L.sla.gz
grid_br_usl_l/Brochure_Grid_USL_Ltn.png
grid_br_usl_l/Brochure_Grid_USL_L.png
  DESTINATION ${TEMPLATEDIR}grid_br_usl_l
)

install(FILES
grid_br_dinl_p/Brochure_Grid_DIN_LANG_P.sla.gz
grid_br_dinl_p/Brochure_Grid_DIN_LANG_Ptn.png
grid_br_dinl_p/Brochure_Grid_DIN_LANG_P.png
  DESTINATION ${TEMPLATEDIR}grid_br_dinl_p
)

install(FILES
grid_br_dinl_l/Brochure_Grid_DIN_LANG_L.sla.gz
grid_br_dinl_l/Brochure_Grid_DIN_LANG_Ltn.png
grid_br_dinl_l/Brochure_Grid_DIN_LANG_L.png
  DESTINATION ${TEMPLATEDIR}grid_br_dinl_l
)

install(FILES
grid_br_a5_p/Brochure_Grid_A5_P.sla.gz
grid_br_a5_p/Brochure_Grid_A5_Portraittn.png
grid_br_a5_p/Brochure_Grid_A5_Portrait.png
  DESTINATION ${TEMPLATEDIR}grid_br_a5_p
)

install(FILES
grid_br_a5_l/Brochure_Grid_A5_L.sla.gz
grid_br_a5_l/Brochure_Grid_A5_Ltn.png
grid_br_a5_l/Brochure_Grid_A5_L.png
  DESTINATION ${TEMPLATEDIR}grid_br_a5_l
)

install(FILES
buscard_coll/business_card_collection.sla.gz
buscard_coll/Business_Card_Collectiontn.png
buscard_coll/Business_Card_Collection.png
  DESTINATION ${TEMPLATEDIR}buscard_coll
)

INSTALL(FILES
Lulu_and_Createspace_6x9_paper_book/Lulu_and_Createspace_6x9_paper_book.png
Lulu_and_Createspace_6x9_paper_book/Lulu_and_Createspace_6x9_paper_book.sla.gz
Lulu_and_Createspace_6x9_paper_book/Lulu_and_Createspace_6x9_paper_booktn.png
Lulu_and_Createspace_6x9_paper_book/Tomato_Clipart.png
  DESTINATION ${TEMPLATEDIR}Lulu_and_Createspace_6x9_paper_book
)

endif (WANT_NOTEMPLATES)

=== scribus/tests/CMakeLists.txt ===
include_directories(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
${FREETYPE_INCLUDE_DIRS}
${SCRIBUS_AUTOGEN_INCLUDE_PATH}
..
)

set(SCRIBUS_TEST_SOURCES
runtests.cpp
#testIndex.cpp
testStoryText.cpp
)

set(SCRIBUS_TESTS_LIB "scribus_tests_lib")
add_library(${SCRIBUS_TESTS_LIB} STATIC ${SCRIBUS_TEST_SOURCES})


# This is a convenience library that for linkage purposes is part of Scribus's
# main API.
set_target_properties(${SCRIBUS_TESTS_LIB}
  PROPERTIES
  COMPILE_FLAGS -DCOMPILE_SCRIBUS_MAIN_APP
  )


# Regular unit tests below.
#
# These tests are built as standalone executables and are run using "make test"
#

set(TESTS_LIBRARIES ${QT_QTTEST_LIBRARY} ${QT_LIBRARIES})

# Unit tests for CellArea
set(CELLAREATESTS_SOURCES cellareatests.cpp ../cellarea.cpp)
add_executable(cellareatests ${CELLAREATESTS_SOURCES})
target_link_libraries(cellareatests ${TESTS_LIBRARIES})
add_test(NAME cellareatests COMMAND cellareatests)

=== doc/de/images/CMakeLists.txt ===
include_directories(
"${CMAKE_SOURCE_DIR}/scribus"
)

#Install our image files
file( GLOB SCRIBUS_DOC_DE_IMAGES_FILES *.jpg *.png )

install(FILES ${SCRIBUS_DOC_DE_IMAGES_FILES} DESTINATION ${DOCDIR}de/images)

=== scribus/plugins/gettext/CMakeLists.txt ===
#Subdirectories
add_subdirectory(csvim)
add_subdirectory(docim)
if(HAVE_XML)
  add_subdirectory(docxim)
  add_subdirectory(htmlim)
  add_subdirectory(odt2im)
endif()
add_subdirectory(pdbim)
add_subdirectory(rtfim)
if(HAVE_XML)
  add_subdirectory(sxwim)
endif()
add_subdirectory(textfilter)
add_subdirectory(txtim)
add_subdirectory(xtgim)
add_subdirectory(markdownim)

=== scribus/plugins/scriptplugin/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
	${Python3_INCLUDE_DIRS}
	${SCRIBUS_AUTOGEN_INCLUDE_PATH}
)

# Gentoo has an option for no examples. Let's make the ebuild simpler and open up the option to others, but leave as a default for us
if (NOT WANT_NOEXAMPLES)
	add_subdirectory(samples)
endif ()
add_subdirectory(scripts)

set(SCRIPTER_PLUGIN_SOURCES
	cmdannotations.cpp
	cmdcell.cpp
	cmdcolor.cpp
	cmddialog.cpp
	cmddoc.cpp
	cmdgetprop.cpp
	cmdgetsetprop.cpp
	cmdmani.cpp
	cmdmisc.cpp
	cmdobj.cpp
	cmdpage.cpp
	cmdsetprop.cpp
	cmdstyle.cpp
	cmdtable.cpp
	cmdtext.cpp
	cmdutil.cpp
	guiapp.cpp
	objimageexport.cpp
	objpdffile.cpp
	objprinter.cpp
	pconsole.cpp
	prefs_scripter.cpp
	runscriptdialog.cpp
	scriptercore.cpp
	scriptplugin.cpp
	svgimport.cpp
)

set(SCRIBUS_SCRIPTER_PLUGIN "scriptplugin")

add_library(${SCRIBUS_SCRIPTER_PLUGIN} MODULE 
	${SCRIPTER_PLUGIN_SOURCES}
)

target_link_libraries(${SCRIBUS_SCRIPTER_PLUGIN}
	${Python3_LIBRARIES}
	${SCRIBUS_API_LIB}
)

target_link_libraries(${SCRIBUS_SCRIPTER_PLUGIN} ${EXE_NAME})

if(WANT_PCH)
	target_precompile_headers(${SCRIBUS_SCRIPTER_PLUGIN} PRIVATE "../plugins_pch.h")
endif()

install(TARGETS ${SCRIBUS_SCRIPTER_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

add_dependencies(Plugins ${SCRIBUS_SCRIPTER_PLUGIN})

=== scribus/plugins/short-words/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
	${SCRIBUS_AUTOGEN_INCLUDE_PATH}
)

set(SHORTWORDS_PLUGIN_SOURCES
	configuration.cpp
	parse.cpp
	prefs_shortwords.cpp
	shortwords.cpp
	swsyntaxhighlighter.cpp
	swdialog.cpp
)

set(SCRIBUS_SHORTWORDS_PLUGIN "scribusshortwords")

add_library(${SCRIBUS_SHORTWORDS_PLUGIN} MODULE
	${SHORTWORDS_PLUGIN_SOURCES}
)

target_link_libraries(${SCRIBUS_SHORTWORDS_PLUGIN} ${EXE_NAME})

if(WANT_PCH)
	target_precompile_headers(${SCRIBUS_SHORTWORDS_PLUGIN} PRIVATE "../plugins_pch.h")
endif()

install(TARGETS ${SCRIBUS_SHORTWORDS_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

install(FILES scribus-short-words.rc
  DESTINATION ${SHAREDIR}/plugins
)

add_dependencies(Plugins ${SCRIBUS_SHORTWORDS_PLUGIN})

=== debian/changelog ===
scribus (1.6.1-0ubuntu7) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5network5t64, libqt5opengl5t64, libqt5printsupport5t64,
    libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:49:58 +0200

scribus (1.6.1-0ubuntu6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:11:40 +0000

scribus (1.6.1-0ubuntu5) noble; urgency=medium

  * No-change rebuild against libcups2t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:57:12 +1300

scribus (1.6.1-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:03:48 +0000

scribus (1.6.1-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:11:40 +0000

scribus (1.6.1-0ubuntu2) noble; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 18:11:56 -0500

scribus (1.6.1-0ubuntu1) noble; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Jan 2024 14:21:13 +0100

scribus (1.5.8+dfsg-4build7) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 20:53:53 +0000

scribus (1.5.8+dfsg-4build6) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Dec 2023 07:14:25 +0100

scribus (1.5.8+dfsg-4build5) noble; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Dec 2023 08:12:37 -0500

scribus (1.5.8+dfsg-4build4) mantic; urgency=medium

  * No-change rebuild against libpoppler130.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Aug 2023 11:10:50 +0100

scribus (1.5.8+dfsg-4build3) mantic; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Aug 2023 05:20:03 -0400

scribus (1.5.8+dfsg-4build2) lunar; urgency=medium

  * No-change rebuild against libtiff6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Feb 2023 04:34:46 +0000

scribus (1.5.8+dfsg-4build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 20:41:55 +0000

scribus (1.5.8+dfsg-4) unstable; urgency=medium

  * Add patch from upstream to fix build with poppler >= 22.9.
    Closes: #1026032; LP: #1999524
  * Bump Standards-Version to 4.6.2, no changes needed

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 19 Dec 2022 00:52:47 +0100

scribus (1.5.8+dfsg-3) unstable; urgency=medium

  * Replace the poppler22 patch from the one specific for branch 15x, also
    fixing the mangled newlines.
  * Add patches from upstream to fix build with poppler 22.04 and 22.06.
    Closes: #1012850
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 18 Jun 2022 16:08:24 +0200

scribus (1.5.8+dfsg-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Cherry-pick patch from upstream to fix build with poppler 22.
  * debian/rules: Set -DWANT_CPP17=ON as required by poppler 22.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 19 Feb 2022 15:22:48 +0100

=== debian/control ===
Source: scribus
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 cmake (>= 3.14.0),
 debhelper-compat (= 13),
 dh-python,
 extra-cmake-modules,
 gettext,
 libcairo2-dev,
 libcdr-dev,
 libcups2-dev,
 libfreehand-dev,
 libgraphicsmagick++1-dev,
 libharfbuzz-dev,
 libhunspell-dev,
 libhyphen-dev,
 libicu-dev,
 liblcms2-dev,
 libmspub-dev,
 libopenscenegraph-dev (>= 3.4),
 libpagemaker-dev,
 libpng-dev,
 libpodofo-dev,
 libpoppler-cpp-dev,
 libpoppler-dev (>= 0.64.0),
 libpoppler-private-dev,
 libqt5opengl5-dev,
 libqt5webkit5-dev,
 libqxp-dev,
 librevenge-dev,
 libtiff-dev,
 libvisio-dev,
 libwpg-dev,
 libxml2-dev,
 libzmf-dev,
 python3-dev,
 qtbase5-dev (>= 5.14),
 qttools5-dev,
 qttools5-dev-tools,
 zlib1g-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/scribus
Vcs-Git: https://salsa.debian.org/debian/scribus.git
Homepage: https://www.scribus.net

Package: scribus
Architecture: any
Depends:
 ghostscript,
 ${S:Source}-data (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 cups-bsd,
 fonts-dejavu,
 fonts-liberation,
 hyphen-hyphenation-patterns,
 icc-profiles-free,
 xfonts-scalable | gsfonts-x11,
Suggests:
 icc-profiles,
 scribus-template,
 texlive-latex-recommended,
 ${S:Source}-doc,
Description: Open Source Desktop Page Layout
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT5.
 .
 If you need to use the render frame install the texlive-latex-recommended
 package (suggested).

Package: scribus-data
Architecture: all
Depends:
 python3-tk,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 fonts-dejavu,
Description: Open Source Desktop Page Layout - data files
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT5.
 .
 This package contains the architecture-independent files.

#Package: scribus-ng-doc
#Architecture: all
#Section: doc
#Depends:
# ${misc:Depends},
#Recommends:
# ${S:Source} (= ${source:Version}),
#Description: Open Source Desktop Page Layout - documentation - 1.5.x branch
# Scribus is an open source desktop page layout program with the aim of
# producing commercial grade output in PDF and Postscript.
# .
# Scribus can be used for many tasks; from brochure design to newspapers,
# magazines, newsletters and posters to technical documentation.
# .
# Scribus supports professional DTP features, such as CMYK color and a
# color management system to soft proof images for high quality color printing,
# flexible PDF creation options, Encapsulated PostScript import/export and
# creation of 4 color separations, import of EPS/PS and SVG as native vector
# graphics, Unicode text including right to left scripts such as Arabic and
# Hebrew via freetype. Graphic formats which can be placed in Scribus as images
# include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
# and any bitmap type supported by QT5.
# .
# This package contains the documentation.
